package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF439 extends MwfRequest<MWF439, MWF439Response> {

    @Parameter(name = "CompletationChannelID")
    MWF439 completationChannelID(String completationChannelID);
    @Parameter(name = "GeneratedDocumentID")
    MWF439 generatedDocumentID(String generatedDocumentID);
    @Parameter(name = "LoanAmount")
    MWF439 loanAmount(Double loanAmount);
    @Parameter(name = "ProdPackageKey")
    MWF439 prodPackageKey(Long prodPackageKey);
    @Parameter(name = "Term")
    MWF439 term(Long term);
    @Parameter(name = "VariantKey")
    MWF439 variantKey(Long variantKey);
}
